This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1465130 - Review Request: nuvola-app-8tracks - 8tracks for Nuvola Player 3
Review Request: nuvola-app-8tracks - 8tracks for Nuvola Player 3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
https://github.com/tiliado/nuvola-app...
:
: 1476291 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 13:48 EDT by mgansser@alice.de
Modified: 2017-08-15 14:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-15 14:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description mgansser@alice.de 2017-06-26 13:48:35 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvola-app-8tracks.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvola-app-8tracks-5.2-1.fc25.src.rpm
Description: Integration of 8tracks into your linux desktop via Nuvola Player.
Fedora Account System Username: martinkg

rpmlint -i -v nuvola-app-8tracks.spec /home/martin/rpmbuild/SRPMS/nuvola-app-8tracks-5.2-1.fc25.src.rpm /home/martin/rpmbuild/RPMS/noarch/nuvola-app-8tracks-5.2-1.fc25.noarch.rpm
nuvola-app-8tracks.spec: I: checking
nuvola-app-8tracks.spec:30: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-8tracks.spec: I: checking-url https://github.com/tiliado/nuvola-app-8tracks/archive/5.2.tar.gz#/nuvola-app-8tracks-5.2.tar.gz (timeout 10 seconds)
nuvola-app-8tracks.src: I: checking
nuvola-app-8tracks.src: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-8tracks.src: I: checking-url https://github.com/tiliado/nuvola-app-8tracks (timeout 10 seconds)
nuvola-app-8tracks.src:30: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-8tracks.src: I: checking-url https://github.com/tiliado/nuvola-app-8tracks/archive/5.2.tar.gz#/nuvola-app-8tracks-5.2.tar.gz (timeout 10 seconds)
nuvola-app-8tracks.noarch: I: checking
nuvola-app-8tracks.noarch: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-8tracks.noarch: I: checking-url https://github.com/tiliado/nuvola-app-8tracks (timeout 10 seconds)
nuvola-app-8tracks.noarch: W: desktopfile-without-binary /usr/share/applications/eu.tiliado.NuvolaApp8tracks.desktop nuvola
the .desktop file is for a file not present in the package. You should check
the requires or see if this is not a error

2 packages and 1 specfiles checked; 0 errors, 5 warnings.

%changelog
* Mon Jun 26 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.2-1
- Update to 5.2-1

* Mon Jan 23 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.1-1
- initial build
Comment 1 mgansser@alice.de 2017-07-28 14:09:01 EDT
*** Bug 1476291 has been marked as a duplicate of this bug. ***
Comment 3 Vít Ondruch 2017-08-04 07:24:31 EDT
I'll take this for a review.
Comment 4 Vít Ondruch 2017-08-04 07:34:57 EDT
* Typo in .metainfo.xml
  - s/Intergration/Integration/
  - But it would be probably better to drop the suffix entirely, since I don't
    see any purpose in it.

Otherwise, the package looks good => APPROVE
Comment 5 mgansser@alice.de 2017-08-04 12:28:23 EDT
Thanks for the review.

%changelog
* Fri Aug 04 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.2-2
- correct %%{name}.metainfo.xml
Comment 6 Ralph Bean 2017-08-10 12:48:31 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nuvola-app-8tracks
Comment 7 Ralph Bean 2017-08-10 12:48:41 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nuvola-app-8tracks
Comment 8 mgansser@alice.de 2017-08-15 14:42:51 EDT
package has been built successfully on f25, f26 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.